declare const _default: (text: string, words: string[]) => [number, number][];
/**
 * Given words and text, build an array of word boundaries within
 * the text. Overlapping words will be handled appropriately. See the examples.
 *
 * Examples
 *
 *   getHighlightWordBoundaries ['test'], 'aaatestaaa'
 *   #=> [[3, 7]]
 *
 *   getHighlightWordBoundaries ['z'], 'aaazaaazaaa'
 *   #=> [[3, 4], [7, 8]]
 *
 *   getHighlightWordBoundaries ['do', 'dollar'], 'aaa do dollar aaa'
 *   #=> [[4, 6], [7, 9]]
 *
 * As you can see in the above examples, 'overlapping' words should be handled
 * correctly. If they weren't, you would get too many boundaries back, making
 * highlighting the text very difficult.
 *
 * For example, the string 'do' is a substring of 'dollar'. If the overlapping
 * boundaries weren't handled, this function would return an array with *3*
 * inidicies, marking 'do' (after 'aaa'), 'do' (inside 'dollar'), and 'dollar'.
 */
export default _default;
