declare const _default: (text: string, boundaries: [number, number][], startTag?: string, endTag?: string) => string;
/**
 * Add markup to `text`, at the places indicated by `boundaries`.
 *
 * We're doing this with exact word boundaries and `String#slice`,
 * because if you were to do this with a regular expression and
 * `String#replace`, you could match against the start and end tags.
 *
 * So for example, this could happen:
 *
 *   markup('test abc test', ['abc', 'mark'], '<mark>', '</mark>');
 *   #=> 'test <<mark>mark</mark>>abc</<mark>mark</mark>> test'
 *
 * ...yeah, oops.
 */
export default _default;
